## zfs-linux 2.2.2

=== debian/changelog ===
zfs-linux (2.2.2-0ubuntu9.4) noble; urgency=medium

  * Fix hangs when writing to pools with high objnum count (LP: #2115683):
    - d/p/lp2115683-Replace-P2ALIGN-with-P2ALIGN_TYPED-and-delete-P2ALIG.patch
      Thanks to chenqiuhao1997 <haohao0924@126.com>.

 -- Heitor Alves de Siqueira <halves@canonical.com>  Mon, 30 Jun 2025 18:16:58 -0300

zfs-linux (2.2.2-0ubuntu9.3) noble; urgency=medium

  * Prevent superblock access when filesystem is being torn down (e.g.
    snapshot unmount) (LP: #2110885)
    - d/p/4801-Linux-Fix-zfs_prune-panics-v2.patch

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 03 Jun 2025 18:50:00 +0000

zfs-linux (2.2.2-0ubuntu9.2) noble; urgency=medium

  [ John Cabaj ]
  * debian/patches/0001-Improve-performance-for-zpool-trim-on-linux.patch
  * debian/patches/0002-vdev_disk-ensure-trim-errors-are-returned-immediatel.patch
    - task txg_sync:696 blocked (LP: #2081678)
  * debian/patches/0003-Autotrim-High-Load-Average-Fix.patch
    - Activating autotrim results in high load average due to
      uninterruptible threads (LP: #2057693)
  * debian/patches/0004-Linux-Fix-zfs_prune-panics.patch
    - crash in openzfs - 2.2.2 not supported on 6.8 (LP: #2077926)

  [ Heitor Alves de Siqueira ]
  * Fix "field-spanning write" errors on zpool import (LP: #2082060):
    - d/p/4701-zfs_log-add-flex-array-fields-to-log-record-structs.patch
    - d/p/4702-lua-add-flex-array-field-to-TString-type.patch

 -- John Cabaj <john.cabaj@canonical.com>  Mon, 09 Dec 2024 14:00:32 -0600

zfs-linux (2.2.2-0ubuntu9.1) noble; urgency=medium

  * debian/patches/0008-Linux-6.7-compat-zfs_setattr-fix-atime-update.patch
    - Linux 6.7 support (LP: #2077487)

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 05 Sep 2024 14:38:42 -0500

zfs-linux (2.2.2-0ubuntu9) noble; urgency=medium

  * debian/patches/0007-Linux-6.8-compat-use-splice_copy_file_range-for-fallback.patch
    - Linux 6.8 support(LP: #2058179)
  * debian/control:
    - add libtirpc-dev as build dependency

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 18 Apr 2024 23:00:06 -0500

zfs-linux (2.2.2-0ubuntu8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:35:31 +0000

zfs-linux (2.2.2-0ubuntu7) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 12:30:39 +0100

zfs-linux (2.2.2-0ubuntu6) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:21:28 +0000

zfs-linux (2.2.2-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:35:12 +0000

zfs-linux (2.2.2-0ubuntu4) noble; urgency=medium

  * Cherrypick v6.8-rc1 patches from upstream.

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 26 Jan 2024 10:41:36 +0000

zfs-linux (2.2.2-0ubuntu3) noble; urgency=medium

  * Cherrypick 2.2.3-staging patches for v6.7 compat.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 05 Jan 2024 00:19:06 +0000

zfs-linux (2.2.2-0ubuntu2) noble; urgency=medium

  * d/p/u/zed-fix-typo-ZED_POWER_OFF_ENCLOUSRE_SLOT_ON_FAULT.patch:
    fix typo in configuration option in zed.rc (LP: #2046082)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Sat, 09 Dec 2023 16:10:21 -0300

zfs-linux (2.2.2-0ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 05 Dec 2023 13:20:08 +0000

zfs-linux (2.2.1-0ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 28 Nov 2023 00:10:52 +0000

zfs-linux (2.2.0-0ubuntu3) noble; urgency=medium

  * No change rebuild.

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 17 Nov 2023 09:14:23 +0000

zfs-linux (2.2.0-0ubuntu2) noble; urgency=medium

  * debian/patches/ubuntu/4752-Linux-6.6-compat-use-inode_get-set_ctime.patch,
    debian/patches/ubuntu/4753-Linux-6.6-compat-generic_fillattr-has-a-new-u32-requ.patch,
    debian/patches/ubuntu/4754-Linux-6.6-compat-fsync_bdev-has-been-removed-in-favo.patch:
    - Linux 6.6 support(LP: #2042565)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 02 Nov 2023 13:17:53 +0000

zfs-linux (2.2.0-0ubuntu1) noble; urgency=medium

  * New upstream release. LP: #2040181
    - drop patches applied upstream
    - fix potential data loss
    - upgrade to 2.2.0 final
    - adjust symbols

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 24 Oct 2023 13:25:21 +0100
