## zfs-linux 2.2.3

=== debian/changelog ===
zfs-linux (2.2.3-1~bpo12+1~rpt1) bookworm; urgency=medium

  * PiOS rebuild
  * Fix armhf libzpool5linux.symbols 

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 14 Mar 2024 15:34:45 +0000

zfs-linux (2.2.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Aron Xu <aron@debian.org>  Thu, 07 Mar 2024 11:02:46 +0800

zfs-linux (2.2.3-1) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: add Shengqi Chen to Uploaders

  [ Shengqi Chen ]
  * New upstream version 2.2.3
    - add compatibility with Linux 6.6 (closes: #1060899)
    - fix private mmap permission of R/O files (closes: #1052472)
    - ...and many more fixes (see upstream changelog)
  * Some packaging updates:
    - symbols: add new symbols for 2.2.3 in libzfs4 and libzpool5
    - lintian-overrides: remove obsolete rules, update rule names
    - README.debian: fix a typo
    - control: lift dh-compat to 13
    - not-installed: remove actually installed files
    - patches:
      + remove some outdated / applied patches
      + fix a typo in 2100-zfs-load-module.patch (related: #1041857)
      + enable ubuntu/zfs-mount-container-start.patch

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 23 Feb 2024 21:28:24 +0800

zfs-linux (2.2.2-5~exp1) experimental; urgency=medium

  [ Shengqi Chen ]
  * d/tests: add missing header dependency and fix zfs-test-suite
    (Closes: #983661)
  * d/tests: refactor kernel-smoke-test, add tests for draid[1-3]

  [ Aron Xu ]
  * Remove unused lintian overrides

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 12 Jan 2024 14:07:04 +0800

zfs-linux (2.2.2-4) unstable; urgency=medium

  * Cherry-pick patch to fix typo in zed.rc

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 09 Jan 2024 16:14:53 +0800

zfs-linux (2.2.2-3) unstable; urgency=medium

  * Add check for CONFIG_KERNEL_MODE_NEON in neon patch on arm platforms

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 26 Dec 2023 22:50:23 +0800

zfs-linux (2.2.2-2) unstable; urgency=medium

  * Update symbols for armel architecture
  * Add patch to check neon symbols on arm platforms

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 25 Dec 2023 17:32:27 +0800

zfs-linux (2.2.2-1) unstable; urgency=medium

  * libzpool5linux: add additional symbols for arch-specific implementations
  * Remove already applied patch for CVE-2013-20001
  * Backport patch to enable non-SIMD SHA-2 kernels on armel
  * Backport patch to workaround GPL-only symbols on riscv

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 24 Dec 2023 14:19:46 +0800

zfs-linux (2.2.2-1~exp1) experimental; urgency=high

  [ Mo Zhou ]
  * Add several new symbols for ppc64el.

  [ Shengqi Chen ]
  * New upstream version 2.2.2

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 01 Dec 2023 12:26:32 +0800

zfs-linux (2.2.1-1~exp2) experimental; urgency=medium

  * Add patch to fix compiling on armel

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 22 Nov 2023 23:08:38 +0800

zfs-linux (2.2.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.1
  * Include files for zfs_prepare_disk in zfsutils-linux.install
  * Update symbols for dynamic libraries
  * symbols: include some SIMD impl of zfletcher on i386
  * symbols: use arch-bits when possible

 -- Shengqi Chen <harry-chen@outlook.com>  Wed, 22 Nov 2023 15:31:24 +0800

zfs-linux (2.2.0-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.2.0
  * Partial revert the copyright update to fix wrong changes.
  * Refresh symbols control file.
  * Fix modules package installation control file.
  * Upload to experimental.

  [ Thomas Lamprecht ]
  * d/install: remove manpages for BSD-specific jail/unjail hooks
  * zfsutils-linux: install new trim units, zilstat tool, and new man pages
  * d/copyright: adapt to file moves and deletions

  [ Stoiko Ivanov ]
  * d/rules: update for automake changes
  * d/rules: drop bash_completion mangling
  * update symbols
  * update lintian overrides
  * Quilt refresh patchset

 -- Mo Zhou <lumin@debian.org>  Thu, 02 Nov 2023 20:27:52 -0400

zfs-linux (2.1.14-2) UNRELEASED; urgency=medium

  * libshare/nfs: backport patch from upstream to fix ipv6 addr processing (Closes: CVE-2013-20001, #1059322)

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 04 Dec 2023 17:38:21 +0800
