=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
+Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>,
-           Mo Zhou <lumin@debian.org>
+           Mo Zhou <lumin@debian.org>,
+           Shengqi Chen <harry-chen@outlook.com>
 Build-Depends: abigail-tools (>= 1.8),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                dh-sequence-dkms,
                libaio-dev,
                libblkid-dev,
                libcurl4-openssl-dev,
                libelf-dev,
-               libtirpc-dev,
                libpam0g-dev,
                libssl-dev | libssl1.0-dev,
                libtool,
@@ -184,6 +183,7 @@
          file,
          libc6-dev | libc-dev,
          lsb-release,
+         python3-distutils | libpython3-stdlib (<< 3.6.4),
          ${misc:Depends},
          ${perl:Depends}
 Recommends: zfs-zed, zfsutils-linux (>= ${source:Version}), ${linux:Recommends}
@@ -201,9 +201,10 @@
  OpenZFS.
 
 Package: zfs-initramfs
-Architecture: amd64 arm64 ppc64el s390x riscv64
+Architecture: all
 Depends: busybox-initramfs | busybox-static | busybox,
          initramfs-tools,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${source:Version}),
          ${misc:Depends}
 Breaks: zfsutils-linux (<= 0.7.11-2)
@@ -217,8 +218,9 @@
  for the initramfs-tools infrastructure.
 
 Package: zfs-dracut
-Architecture: amd64 arm64 ppc64el s390x riscv64
+Architecture: all
 Depends: dracut,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${source:Version}),
          ${misc:Depends}
 Description: OpenZFS root filesystem capabilities for Linux - dracut
@@ -240,7 +242,7 @@
          python3,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: zfs-zed
+Recommends: zfs-modules | zfs-dkms, zfs-zed
 Breaks: openrc,
         spl (<< 0.7.9-2),
         spl-dkms (<< 0.8.0~rc1),
@@ -264,7 +266,8 @@
 Section: contrib/admin
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: zfsutils-linux (>= ${binary:Version}),
+Depends: zfs-modules | zfs-dkms,
+         zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenZFS Event Daemon
@@ -294,6 +297,7 @@
          python3-pyzfs,
          sudo,
          sysstat,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
