=== debian/tests/control ===
Tests: kernel-smoke-test, kernel-ztest, zfs-test-suite
Restrictions: needs-root, allow-stderr, isolation-machine
Depends: zfs-dkms [ amd64 arm64 ppc64el s390x ],
         zfs-initramfs [ amd64 arm64 ppc64el s390x ],
         zfs-test [ amd64 arm64 ppc64el s390x ],
         zfs-zed [ amd64 arm64 ppc64el s390x ],
         zfsutils-linux [ amd64 arm64 ppc64el s390x ],
         linux-headers-amd64 [amd64],
         linux-headers-686 [i386],
         linux-headers-arm64 [arm64],
         linux-headers-armmp [armhf],
         linux-headers-rpi [armel],
         linux-headers-powerpc64le [ppc64el],
         linux-headers-s390x [s390x],
         linux-headers-riscv64 [riscv64]

Tests: binary-debs-modules, binary-debs-modules-udeb
Restrictions: needs-root, allow-stderr
Depends: fakeroot,
         linux-headers-amd64 [amd64],
         linux-headers-686 [i386],
         linux-headers-arm64 [arm64],
         linux-headers-armmp [armhf],
         linux-headers-rpi [armel],
         linux-headers-powerpc64le [ppc64el],
         linux-headers-s390x [s390x],
         linux-headers-riscv64 [riscv64],
         @builddeps@
