## zfs-linux 2.2.4

=== debian/changelog ===
zfs-linux (2.2.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Aron Xu <aron@debian.org>  Tue, 28 May 2024 15:24:56 +0800

zfs-linux (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * d/patches: remove patches already applied by upstream
  * libzpool: update symbol list
  * d/tests: skip some flaky tests in zfs-test-suite-{1,2}
  * d/control: update python3 dependency of zfs-dkms
  * d/symbols: remove unreferenced libspl symbols (closes: #1070899)

 -- Shengqi Chen <harry-chen@outlook.com>  Mon, 13 May 2024 13:57:29 +0800

zfs-linux (2.2.3-2) unstable; urgency=medium

  [ Shengqi Chen ]
  * d/control: add Build-Depends on libtirpc-dev (closes: #1067088)
  * Add patch to fix path in man/zfs_prepare_disk.8
  * d/control: upgrade to std-ver 4.7.0 (no changes required)
  * Some improvements to autopkgtest (see: #1068559):
    - d/control: add more recommends for zfs-test to fix tests
    - split zfs-test-suite into four smaller parts
    - try to skip some tests that require large memory
    - use presistent tmpdir for zfs-test-suite

  [ Benda Xu ]
  * OpenRC no longer breaks the ZFS initscripts on Debian.
  * Fix substitution behaviour in config/Substfiles.am

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 14 Apr 2024 10:59:52 +0800
