## zfs-linux 2.2.5

=== debian/changelog ===
zfs-linux (2.2.5-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Aug 2024 10:27:48 -0700

zfs-linux (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5
    - fix bash-completion initialization (closes: #1074597)
    - other fixes: https://github.com/openzfs/zfs/releases/tag/zfs-2.2.5
  * d/patches:
    - refresh existing patches
    - add bump-linux-maximum.patch to compile on 6.10 (closes: #1077835)

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 08 Aug 2024 17:44:24 +0800

zfs-linux (2.2.4-2) unstable; urgency=medium

  * d/tests: avoid running zfs-test-suite-* automatically
    by adding custom restrictions
  * Opt-in usr-merge:
    - d/: install files into /usr (closes: #1061359)
    - d/: move some tools out of /usr/sbin and add links for compatibility

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 02 Jun 2024 15:12:52 +0800
