=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Mo Zhou <lumin@debian.org>,
@@ -16,6 +17,7 @@
                libelf-dev,
                libpam0g-dev,
                libssl-dev | libssl1.0-dev,
+               libtirpc-dev,
                libtool,
                libudev-dev,
                lsb-release,
@@ -26,7 +28,7 @@
                python3-sphinx,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://zfsonlinux.org/
 Vcs-Git: https://salsa.debian.org/zfsonlinux-team/zfs.git
 Vcs-Browser: https://salsa.debian.org/zfsonlinux-team/zfs
@@ -78,8 +80,8 @@
 Section: contrib/libdevel
 Architecture: linux-any
 Depends: libblkid-dev,
+         libnvpair3linux (= ${binary:Version}),
          libssl-dev | libssl1.0-dev,
-         libnvpair3linux (= ${binary:Version}),
          libuutil3linux (= ${binary:Version}),
          libzfs4linux (= ${binary:Version}),
          libzfsbootenv1linux (= ${binary:Version}),
@@ -96,10 +98,10 @@
 Package: libzfs4linux
 Section: contrib/libs
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcurl4
 # The libcurl4 is loaded through dlopen("libcurl.so.4").
 # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=988521
-Recommends: libcurl4
+# Recommends: libcurl4
 Breaks: libzfs2, libzfs4
 Replaces: libzfs2, libzfs4
 Description: OpenZFS filesystem library for Linux - general support
@@ -183,10 +185,12 @@
          file,
          libc6-dev | libc-dev,
          lsb-release,
-         python3-distutils | libpython3-stdlib (<< 3.6.4),
-         ${misc:Depends},
-         ${perl:Depends}
-Recommends: zfs-zed, zfsutils-linux (>= ${source:Version}), ${linux:Recommends}
+         python3-distutils (<< 3.12) | libpython3-stdlib (>> 3.2),
+         ${misc:Depends},
+         ${perl:Depends},
+         zfs-zed, 
+         zfsutils-linux (>= ${source:Version})
+Recommends: ${linux:Recommends}
 # suggests debhelper because e.g. `dkms mkdeb -m zfs -v 0.8.2` needs dh_testdir (#909183)
 Suggests: debhelper
 Breaks: spl-dkms (<< 0.8.0~rc1)
@@ -240,11 +244,11 @@
          libzfs4linux (= ${binary:Version}),
          libzpool5linux (= ${binary:Version}),
          python3,
+         zfs-modules | zfs-dkms,
+         zfs-zed,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: zfs-modules | zfs-dkms, zfs-zed
-Breaks: openrc,
-        spl (<< 0.7.9-2),
+Breaks: spl (<< 0.7.9-2),
         spl-dkms (<< 0.8.0~rc1),
         zfs-dkms (<< ${source:Version}),
         zfs-dkms (>> ${source:Version}...)
@@ -299,9 +303,9 @@
          sysstat,
          zfs-modules | zfs-dkms,
          zfsutils-linux (>=${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: nfs-kernel-server
+         curl, nfs-kernel-server, rsync, tzdata-legacy,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: zfsutils-linux (<= 0.7.9-2)
 Replaces: zfsutils-linux (<= 0.7.9-2)
 Conflicts: zutils
@@ -311,5 +315,3 @@
  compression, encryption, snapshots, and more.
  .
  This package provides the OpenZFS test infrastructure for destructively
- testing and validating a system using OpenZFS. It is entirely optional
- and should only be installed and used in test environments.
